Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdReceipt.FiscalReceipt.FiscalTransaction

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.FiscalReceipt.FiscalTransaction

Enclosing class:
  cmdReceipt.FiscalReceipt

    public static class cmdReceipt.FiscalReceipt.FiscalTransaction
    extends cmdReceipt

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt

  `cmdReceipt.BarcodeType, cmdReceipt.FiscalReceipt, cmdReceipt.InvoiceClientInfo, cmdReceipt.NonFiscalReceipt, cmdReceipt.PaidMode, cmdReceipt.SeparatingLine, cmdReceipt.TotalResult`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FiscalTransaction()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Double` | `getAmount()` |
  `java.lang.Double` | `getNotPaid()` |
  `int` | `getNumberOfItems()` |
  `java.lang.Double` | `getPaid()` |
  `boolean` | `isOpen()` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt

  `printBarcode, setPrintBarcodeData`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FiscalTransaction

    public FiscalTransaction() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

- ## Method Details

  - ### isOpen

    public boolean isOpen()
    Returns:
      Receipt is openFiscalReceipt-true

  - ### getNumberOfItems

    public int getNumberOfItems()
    Returns:
      The number Items of the current or the last receipt (1...9999999);

  - ### getAmount

    public java.lang.Double getAmount()
    Returns:
      The sum from the current or the last fiscal receipt ( 0.00...9999999.99 or 0...999999999 )

  - ### getPaid

    public java.lang.Double getPaid() throws java.lang.Exception
    Returns:
      The sum paid for the current or the last receipt ( 0.00...9999999.99 or 0...999999999 depending dec point position );
    Throws:
      `FiscalException`
      `java.io.IOException`
      `java.lang.Exception`

  - ### getNotPaid

    public java.lang.Double getNotPaid()
    Returns:
      The sum not paid for the current or the last receipt ( 0.00...9999999.99 or 0...999999999 depending dec point position );